/* This example shows how to use the barcode reading in a simple way */

#include<allegro.h>
#include <cgui.h>
#include "cbar.h"

static int editid, read_value;

static void my_call_back(int nr nouse, char *code, void *data nouse)
{
   sscanf(code, "%d", &read_value);
   Refresh(editid);
   CbarMakeSound(nr, CBAR_SOUND_READOK);
}

static void shut_down(void *data nouse)
{
   StopProcessEvents();
}

static void barcode_settings(void *data nouse)
{
   int nr;

   if (CbarSettingsDialogue(1, 1, 1, 1, 1, &nr) && nr)
      CbarActivate(-1, my_call_back, NULL, 0);
}

static void file(void *data nouse)
{
   MkMenuItem(0, "Barcode settings", "", barcode_settings, NULL);
   MkMenuItem(0, "Exit", "", shut_down, NULL);
}

int main(void)
{
   InitCgui(1024, 768, 16);
   CbarLoadInit(0);
   CbarActivate(-1, my_call_back, NULL, 0);

   MkDialogue(ADAPTIVE, "Bar code example", 0);
   MakeMenuBar();
   MkMenuBarItem("File", file, NULL);
   editid = AddEditBox(DOWNLEFT, 300, "Received code:", FINT, 0, &read_value);
   EndMenuBar();
   DisplayWin();
   SetHotKey(0, shut_down, NULL, 0, 27);
   ProcessEvents();
   return 0;
}
END_OF_MAIN();
