#ifndef CBAR_H
#define CBAR_H

#define CBAR_VERSION_MAJOR      1
#define CBAR_VERSION_MINOR      0
#define CBAR_VERSION_PATCH      4
#define CBAR_VERSION_STRING     "1.0.4"
#define CBAR_DATE               20051029    /* yyyymmdd */
#define CBAR_DATE_STRING "Oct 29, 2005"

#define CBAR_READER_NONE       0
#define CBAR_READER_COM1       1
#define CBAR_READER_COM2       2
#define CBAR_READER_COM3       3
#define CBAR_READER_COM4       4
#define CBAR_READER_KB         5

#define CBAR_NO_SPEAKER        0
#define CBAR_LEFT_SPEAKER      1
#define CBAR_RIGHT_SPEAKER     2
#define CBAR_BOTH_SPEAKERS     3
#define CBAR_INTERNAL_SPEAKER  4

#define CBAR_LOG_OFF           1
#define CBAR_LOG_ON            2
#define CBAR_LOG_CLEAN         4

#define CBAR_NOCHECK           1
#define CBAR_NOSOUND_OK        2
#define CBAR_NOSOUND_ERROR     4

#define CBAR_SOUND_READERROR   0
#define CBAR_SOUND_READOK      1

#include "cbar/cbarcfg.h"

CBAR_FUNC(int, CbarLoadInit, (int mode));
#define CBAR_NO_SAVESTATE_LOG     0
#define CBAR_NO_SAVESTATE_LOG_WIN 1

CBAR_FUNC(void, CbarDeInit, (void));
CBAR_FUNC(int, CbarAddUnit, (void));
CBAR_FUNC(int, CbarRemoveUnit, (int unitid));
CBAR_FUNC(int, CbarActivate, (int unitid,
   CBAR_METHOD(void, CallBack, (int id, char *s, void *data)), void *data, int mode));
CBAR_FUNC(int, CbarSetup, (int codelen, int readchk, int writechk));
CBAR_FUNC(int, CbarSoundInternal, (int unitid, int f1, int d1, int f2, int d2));
CBAR_FUNC(int, CbarSoundExternal, (int unitid, int speaker, int v1,
            const char *f1, int v2, const char *f2));
CBAR_FUNC(int, CbarUnitConnection, (int unitid, int connection));
CBAR_FUNC(int, CbarMakeSound, (int unitid, int soundstatus));
CBAR_FUNC(int, CbarSettingsDialogue, (int len, int check, int sound, int source,
       int errorlog, int *nrreaders));
CBAR_FUNC(void, CbarAdjustBarPrint, (char *result, const char *s));
CBAR_FUNC(void, CbarLogErrors, (int mode));
CBAR_FUNC(void, CbarShowErrorLog, (void));
CBAR_FUNC(void, CbarAddToErrorLog, (int reader, const char *error, const char *code));

#endif
