#ifndef CSOUND_H
#define CSOUND_H

struct t_sound;
struct t_unit;
struct t_dialsound;
struct t_usetting;

extern struct t_sound *_CbarCreateSound(struct t_usetting *us);
extern void _CbarReplaceSoundData(struct t_sound *cs, struct t_sound *s);
extern void _CbarDuplicateSound(struct t_sound *dup, struct t_sound *org);
extern void _CbarLoadSound(struct t_sound *s);
extern void _CbarStoreSoundConfig(char *section, struct t_sound *s, char *readstate);
extern void _CbarLoadSoundConfig(char *section, struct t_sound *s, char *readstate,
                      char *def);
extern int _CbarSetExternalSpeakers(int newstate);
extern void _CbarSoundPropExternal(struct t_sound *s, int vol, const char *fn);
extern void _CbarSoundPropInternal(struct t_sound *s, int freq, int duration);
extern void _CbarMkSoundContainer(const char *tag, struct t_sound *s,
                                       struct t_dialsound *ds);
extern int _CbarSound(struct t_sound *s);
extern void _CbarDestroySound(struct t_sound *s);
extern int _CbarCheckInternalSoundSettings(struct t_sound *s, int ok);
extern int _CbarCheckExternalSoundSettings(struct t_sound *s, const char *def);
extern struct t_dialsound *_CbarCreateDialSound(struct t_sound *s);
extern void _CbarDestroyDialSound(struct t_dialsound *ds);
extern void _CbarReactivateObjects(struct t_dialsound *ds);

/* Definition of some settings common for the "correct reading" and the
   "erroneous reading" sounds. */

typedef struct t_usetting {
   int source;                  /* The source of reader (serial or keyboard) */
   int intsound;                /* Tells if there shall be a sound outputted
                                   to the internal speaker */
   int leftsound;               /* Tells if there shall be a sound outputted
                                   to the left external speaker */
   int rightsound;              /* Tells if there shall be a sound outputted
                                   to the right external speaker */
} t_usetting;

#endif
