#ifndef SETTING_H
#define SETTING_H

/* Defines some settings concerning the reading process and that are common
   for all readers */

typedef struct t_rsetting {
   int len;                     /* The number of digits (user data) to
                                   print/read. The actual printing may
                                   be longer. 0 -> dynamic */
   int readchk;                 /* Assumes that the last read digit is a
                                   check-sum digit */
   int writechk;                /* Writes a check digit at the end of the string */
   int errorlog;                /* Error logging shall be done */
   int logging;                 /* Indicates that error log was on previous
                                   program session. */
   int logwin_open;             /* Indicates that the error logging window
                                   was opened previous program session. */
} t_rsetting;

/* ... and what is necessary to get some of these from the config file */
extern char *_cbc_bar_section_name;
extern char *_cbc_bar_dbid_nr_digits;
extern char *_cbc_bar_dbid_write_check;

#endif
